> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a funding source

> Card, bank, or crypto wallet that funds Sly accounts. Bank/card sources require verification before they can fund.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/funding/sources
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/funding/sources:
    post:
      tags:
        - Funding
      summary: Register a funding source
      description: >-
        Card, bank, or crypto wallet that funds Sly accounts. Bank/card sources
        require verification before they can fund.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFundingSourceInput'
      responses:
        '201':
          description: Source registered
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/FundingSource'
                required:
                  - data
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    CreateFundingSourceInput:
      oneOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - card
            account_id:
              type: string
              format: uuid
            provider:
              type: string
              enum:
                - stripe
                - adyen
            setup_token:
              type: string
              description: Tokenized card from your processor
          required:
            - type
            - account_id
            - provider
            - setup_token
        - type: object
          properties:
            type:
              type: string
              enum:
                - bank_account_us
                - bank_account_eu
            account_id:
              type: string
              format: uuid
            provider:
              type: string
              enum:
                - plaid
                - stripe
            public_token:
              type: string
            link_id:
              type: string
          required:
            - type
            - account_id
            - provider
        - type: object
          properties:
            type:
              type: string
              enum:
                - bank_account_latam
            account_id:
              type: string
              format: uuid
            provider:
              type: string
              enum:
                - belvo
            link_id:
              type: string
          required:
            - type
            - account_id
            - provider
            - link_id
        - type: object
          properties:
            type:
              type: string
              enum:
                - crypto_wallet
            account_id:
              type: string
              format: uuid
            provider:
              type: string
              enum:
                - circle
                - coinbase
            wallet_address:
              type: string
            network:
              type: string
          required:
            - type
            - account_id
            - provider
            - wallet_address
            - network
    FundingSource:
      type: object
      properties:
        id:
          type: string
        account_id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - card
            - bank_account_us
            - bank_account_eu
            - bank_account_latam
            - crypto_wallet
        provider:
          type: string
          enum:
            - stripe
            - plaid
            - belvo
            - moonpay
            - transak
            - circle
            - coinbase
            - crossmint
            - adyen
        status:
          type: string
          enum:
            - unverified
            - pending_verification
            - verified
            - blocked
        last_four:
          type:
            - string
            - 'null'
        bank_name:
          type:
            - string
            - 'null'
        network:
          type:
            - string
            - 'null'
          description: For crypto_wallet — base, polygon, solana, etc.
        wallet_address:
          type:
            - string
            - 'null'
        metadata:
          type: object
          additionalProperties: {}
          default: {}
        created_at:
          type: string
          format: date-time
      required:
        - id
        - account_id
        - type
        - provider
        - status
        - created_at
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````